File: control

package info (click to toggle)
rust-extprim 1.6.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 300 kB
  • sloc: makefile: 2
file content (94 lines) | stat: -rw-r--r-- 3,480 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
Source: rust-extprim
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-num-traits-0.2+default-dev <!nocheck>,
 librust-rand-0.5+default-dev <!nocheck>,
 librust-rustc-version-0.2+default-dev <!nocheck>,
 librust-semver-0.9+default-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/extprim]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/extprim

Package: librust-extprim-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-num-traits-0.2+default-dev,
 librust-rustc-version-0.2+default-dev,
 librust-semver-0.9+default-dev
Recommends:
 librust-extprim+default-dev (= ${binary:Version})
Suggests:
 librust-extprim+rand-dev (= ${binary:Version}),
 librust-extprim+serde-dev (= ${binary:Version})
Provides:
 librust-extprim+use-std-dev (= ${binary:Version}),
 librust-extprim-1-dev (= ${binary:Version}),
 librust-extprim-1+use-std-dev (= ${binary:Version}),
 librust-extprim-1.6-dev (= ${binary:Version}),
 librust-extprim-1.6+use-std-dev (= ${binary:Version}),
 librust-extprim-1.6.0-dev (= ${binary:Version}),
 librust-extprim-1.6.0+use-std-dev (= ${binary:Version})
Description: Extra primitive types (u128, i128) - Rust source code
 This package contains the source for the Rust extprim crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-extprim+default-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-extprim-dev (= ${binary:Version}),
 librust-extprim+use-std-dev (= ${binary:Version}),
 librust-rand-0.5+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev
Provides:
 librust-extprim-1+default-dev (= ${binary:Version}),
 librust-extprim-1.6+default-dev (= ${binary:Version}),
 librust-extprim-1.6.0+default-dev (= ${binary:Version})
Description: Extra primitive types (u128, i128) - feature "default"
 This metapackage enables feature default for the Rust extprim crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-extprim+rand-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-extprim-dev (= ${binary:Version}),
 librust-rand-0.5+default-dev
Provides:
 librust-extprim-1+rand-dev (= ${binary:Version}),
 librust-extprim-1.6+rand-dev (= ${binary:Version}),
 librust-extprim-1.6.0+rand-dev (= ${binary:Version})
Description: Extra primitive types (u128, i128) - feature "rand"
 This metapackage enables feature rand for the Rust extprim crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-extprim+serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-extprim-dev (= ${binary:Version}),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev
Provides:
 librust-extprim-1+serde-dev (= ${binary:Version}),
 librust-extprim-1.6+serde-dev (= ${binary:Version}),
 librust-extprim-1.6.0+serde-dev (= ${binary:Version})
Description: Extra primitive types (u128, i128) - feature "serde"
 This metapackage enables feature serde for the Rust extprim crate, by pulling
 in any additional dependencies needed by that feature.